/*
==========================================
Name:		Favorit_01.h
Author:		POSPISIL Frantisek
Created:	12/2008
Chip:		ATmega8535
Frequency:	CPU 8MHz
Hardware:	system mereni a ovladani svetel v automobilu Favorit
==========================================
*/

/* definice maker */
#define Set_Sterace()	PORTC |= 0x80;
#define Clr_Sterace()	PORTC &=~0x80;
#define REL2_Set()		PORTC |= 0x40;
#define REL2_Clr()		PORTC &=~0x40;
#define REL4_Set()		PORTC |= 0x10;
#define REL4_Clr()		PORTC &=~0x10;

/* uplne funkcni prototypy */
void SYS_Init(void); // inicializace procesoru, rozsviti LED
void Teploty(unsigned char val); // cteni z teplomeru

/* deklarace globalnich promennych modulu Favorit_01.c */
volatile unsigned char ROTmax, ROTcoder; // promenne pocitadla
volatile unsigned char Timer1, Beep1, Stav1, Timer2, Timer3, Displej1; // promenna programu casovace 1
volatile unsigned char Sterace, Sterace1, Sterace2; // promenna casovani sterace
volatile unsigned int Teplota1, Teplota2, Teplota3; // namerene teploty
volatile unsigned int Otacky; // namerene otacky
volatile unsigned char Otacky1; // vyssi bajt casovace
volatile unsigned char OtZaloha; // indikace ukonceni cinnosti otackomeru
volatile unsigned char Teplomer; // ridi casovani mereni teplot
