/*
==========================================
Name:		F_DS1302.c
Author:		POSPISIL Frantisek
Created:	12/2008
Chip:		ATmega8535
Frequency:	CPU 8MHz
Hardware:	DS1302
==========================================
*/

/* definice maker */
#define DS1302_SetRst() PORTA |= 0x02; // nastaveni DS1302 reset
#define DS1302_ClrRst() PORTA &=~0x02; // nulovani DS1302 reset
#define DS1302_SetSda() PORTA |= 0x04; // nastaveni DS1302 data
#define DS1302_ClrSda() PORTA &=~0x04; // nulovani DS1302 data
#define DS1302_OutSda() DDRA  |= 0x04; // vystup dat na DS1302
#define DS1302_InpSda() DDRA  &=~0x04; // vstup dat na DS1302
#define DS1302_SetClk() PORTA |= 0x08; // nastaveni DS1302 hodiny
#define DS1302_ClrClk() PORTA &=~0x08; // nulovani DS1302 hodiny

/* uplne funkcni prototypy */ 
unsigned char DS1302( unsigned char DS1302addr, unsigned char DS1302data ); // ovladani obvodu DS1302
