/*
==========================================
Name:		F_Interrupt.h
Author:		POSPISIL Frantisek
Created:	12/2008
Chip:		ATmega8535
Frequency:	CPU 8MHz
Hardware:	vystupni rele
==========================================
*/

/* definice maker */
#define Set_Obrys()		PORTC |= 0x20; // zapina obrysove svetla
#define Clr_Obrys()		PORTC &=~0x20; // vypina obrysove svetla
#define Set_Tlum()		PORTC |= 0x08; // zapina tlumena svetla
#define Clr_Tlum()		PORTC &=~0x08; // vypina tlumena svetla

/* uplne funkcni prototypy */
void Svetla(void); // ridi chod svetel v preruseni podle dveri a zapalovani

/* deklarace globalnich promennych modulu F_SetMenu.c */
extern volatile unsigned char ROTmax, ROTcoder; // promenne pocitadla
extern volatile unsigned char Timer1, Beep1, Stav1, Timer2, Timer3, Displej1; // promenna programu casovace 1
extern volatile unsigned int Teplota1, Teplota2, Teplota3; // namerene teploty
extern volatile unsigned int Otacky; // namerene otacky
extern volatile unsigned char Otacky1; // vyssi bajt casovace
volatile unsigned char OtackyCount; // pocitadlo pri prumerovani
volatile unsigned char OtackyERR; // ukazuje pocet chyb v mereni
volatile unsigned int OtackyArray[8]; // pole pro prumerovani
extern volatile unsigned char Teplomer; // ridi casovani mereni teplot
