/*
==========================================
Name:		F_SetMenu.h
Author:		POSPISIL Frantisek
Created:	12/2008
Chip:		ATmega8535
Frequency:	CPU 8MHz
Hardware:	rotacni koder
==========================================
*/

/* definice maker */

/* uplne funkcni prototypy */
void SET_Displej(void); // nastaveni jasu displeje
void SET_Cekani(void); // nastaveni cekacich casu
void SET_Hodiny(void); // nastaveni hodin
void SET_Sterac(void); // nastaveni pocatecniho casu sterace
unsigned char ROT_Key(void); // vraci 1, kdyz je stisknut rotacni koder
void Beep(unsigned char val, unsigned char tim); // pomoci casovace 2 vytvori ton

/* deklarace globalnich promennych modulu F_SetMenu.c */
extern volatile unsigned char Sterace, ROTmax, ROTcoder; // promenne pocitadla
extern volatile unsigned char Beep1, Stav1, Timer2; // promenna programu casovace 1

